package com.google.android.gms.internal.vision;

import com.google.android.gms.internal.vision.zzgs;

/* compiled from: com.google.android.gms:play-services-vision-common@@19.0.0 */
final class zzip implements zzia {
    private final int flags;
    private final String info;
    private final Object[] zzyv;
    private final zzic zzyy;

    zzip(zzic zzic, String str, Object[] objArr) {
        this.zzyy = zzic;
        this.info = str;
        this.zzyv = objArr;
        char charAt = str.charAt(0);
        if (charAt < 55296) {
            this.flags = charAt;
            return;
        }
        int i = charAt & 8191;
        int i2 = 13;
        int i3 = 1;
        while (true) {
            int i4 = i3 + 1;
            char charAt2 = str.charAt(i3);
            if (charAt2 >= 55296) {
                i |= (charAt2 & 8191) << i2;
                i2 += 13;
                i3 = i4;
            } else {
                this.flags = i | (charAt2 << i2);
                return;
            }
        }
    }

    /* access modifiers changed from: package-private */
    public final String zzhp() {
        return this.info;
    }

    /* access modifiers changed from: package-private */
    public final Object[] zzhq() {
        return this.zzyv;
    }

    @Override // com.google.android.gms.internal.vision.zzia
    public final zzic zzhk() {
        return this.zzyy;
    }

    @Override // com.google.android.gms.internal.vision.zzia
    public final int zzhi() {
        return (this.flags & 1) == 1 ? zzgs.zzf.zzwt : zzgs.zzf.zzwu;
    }

    @Override // com.google.android.gms.internal.vision.zzia
    public final boolean zzhj() {
        return (this.flags & 2) == 2;
    }
}
