package expo.modules.lineargradient;

import expo.modules.kotlin.modules.Module;
import expo.modules.kotlin.modules.ModuleDefinitionBuilder;
import expo.modules.kotlin.modules.ModuleDefinitionData;
import expo.modules.kotlin.types.AnyTypeKt;
import expo.modules.kotlin.views.ConcreteViewProp;
import expo.modules.kotlin.views.ViewManagerDefinitionBuilder;
import kotlin.Metadata;
import kotlin.Pair;
import kotlin.jvm.internal.Reflection;
import kotlin.reflect.KTypeProjection;

@Metadata(d1 = {"\u0000\u0012\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\u0003\u001a\u00020\u0004H\u0016¨\u0006\u0005"}, d2 = {"Lexpo/modules/lineargradient/LinearGradientModule;", "Lexpo/modules/kotlin/modules/Module;", "()V", "definition", "Lexpo/modules/kotlin/modules/ModuleDefinitionData;", "expo-linear-gradient_release"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: LinearGradientModule.kt */
public final class LinearGradientModule extends Module {
    @Override // expo.modules.kotlin.modules.Module
    public ModuleDefinitionData definition() {
        ModuleDefinitionBuilder moduleDefinitionBuilder = new ModuleDefinitionBuilder(this);
        moduleDefinitionBuilder.Name("ExpoLinearGradient");
        if (moduleDefinitionBuilder.getViewManagerDefinition() == null) {
            ViewManagerDefinitionBuilder viewManagerDefinitionBuilder = new ViewManagerDefinitionBuilder();
            viewManagerDefinitionBuilder.setViewType(LinearGradientView.class);
            viewManagerDefinitionBuilder.setViewFactory(LinearGradientModule$definition$1$1$1.INSTANCE);
            viewManagerDefinitionBuilder.getProps().put("colors", new ConcreteViewProp("colors", AnyTypeKt.toAnyType(Reflection.typeOf(int[].class)), LinearGradientModule$definition$1$1$2.INSTANCE));
            viewManagerDefinitionBuilder.getProps().put("locations", new ConcreteViewProp("locations", AnyTypeKt.toAnyType(Reflection.nullableTypeOf(float[].class)), LinearGradientModule$definition$1$1$3.INSTANCE));
            viewManagerDefinitionBuilder.getProps().put("startPoint", new ConcreteViewProp("startPoint", AnyTypeKt.toAnyType(Reflection.nullableTypeOf(Pair.class, KTypeProjection.Companion.invariant(Reflection.typeOf(Float.TYPE)), KTypeProjection.Companion.invariant(Reflection.typeOf(Float.TYPE)))), LinearGradientModule$definition$1$1$4.INSTANCE));
            viewManagerDefinitionBuilder.getProps().put("endPoint", new ConcreteViewProp("endPoint", AnyTypeKt.toAnyType(Reflection.nullableTypeOf(Pair.class, KTypeProjection.Companion.invariant(Reflection.typeOf(Float.TYPE)), KTypeProjection.Companion.invariant(Reflection.typeOf(Float.TYPE)))), LinearGradientModule$definition$1$1$5.INSTANCE));
            viewManagerDefinitionBuilder.getProps().put("borderRadii", new ConcreteViewProp("borderRadii", AnyTypeKt.toAnyType(Reflection.nullableTypeOf(float[].class)), LinearGradientModule$definition$1$1$6.INSTANCE));
            moduleDefinitionBuilder.setViewManagerDefinition(viewManagerDefinitionBuilder.build());
            return moduleDefinitionBuilder.buildModule();
        }
        throw new IllegalArgumentException("The module definition may have exported only one view manager.".toString());
    }
}
