package expo.modules.localization;

import android.os.Bundle;
import java.util.HashMap;
import java.util.Map;
import kotlin.jvm.internal.Intrinsics;

public final class LocalizationModuleKt {
    public static final Map<String, Object> toShallowMap(Bundle bundle) {
        HashMap hashMap = new HashMap();
        for (String str : bundle.keySet()) {
            Intrinsics.checkNotNullExpressionValue(str, "key");
            hashMap.put(str, bundle.get(str));
        }
        return hashMap;
    }
}
