package expo.modules.kotlin.jni;

import kotlin.Metadata;

@Metadata(d1 = {"\u0000\u0012\n\u0002\u0018\u0002\n\u0002\u0010\u0010\n\u0000\n\u0002\u0010\b\n\u0002\b\f\b\u0001\u0018\u00002\b\u0012\u0004\u0012\u00020\u00000\u0001B\u000f\b\u0002\u0012\u0006\u0010\u0002\u001a\u00020\u0003¢\u0006\u0002\u0010\u0004R\u0011\u0010\u0002\u001a\u00020\u0003¢\u0006\b\n\u0000\u001a\u0004\b\u0005\u0010\u0006j\u0002\b\u0007j\u0002\b\bj\u0002\b\tj\u0002\b\nj\u0002\b\u000bj\u0002\b\fj\u0002\b\rj\u0002\b\u000e¨\u0006\u000f"}, d2 = {"Lexpo/modules/kotlin/jni/CppType;", "", "value", "", "(Ljava/lang/String;II)V", "getValue", "()I", "NONE", "DOUBLE", "BOOLEAN", "STRING", "JS_OBJECT", "JS_VALUE", "READABLE_ARRAY", "READABLE_MAP", "expo-modules-core_release"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: CppType.kt */
public enum CppType {
    NONE(0),
    DOUBLE(CppTypeKt.nextValue()),
    BOOLEAN(CppTypeKt.nextValue()),
    STRING(CppTypeKt.nextValue()),
    JS_OBJECT(CppTypeKt.nextValue()),
    JS_VALUE(CppTypeKt.nextValue()),
    READABLE_ARRAY(CppTypeKt.nextValue()),
    READABLE_MAP(CppTypeKt.nextValue());
    
    private final int value;

    private CppType(int i) {
        this.value = i;
    }

    public final int getValue() {
        return this.value;
    }
}
